/*-------------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
-------------------------------------------------------------------------------*/

class MomentInterval;

#ifndef ROLE_H
#define ROLE_H

/**
 * @stereotype role 
 */
class Role {
public:

    void assessAcrossMIs();

    void listMI();

    static int listRoles();

    static int assessAcrossRoles();

private:

    /**
     * @clientCardinality 0..*
     * @supplierCardinality 1
     */
    PartyPlaceThing * lnkUnnamed;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    MomentInterval * lnkUnnamed1;
    
    int status;
};
#endif //ROLE_H
